POST/shorts.v1alpha1.SearchService/SearchStocks

SearchStocks

Search stocks by symbol or company name

Parameters

Connect-Protocol-VersionheaderRequired
number [1]

Define the version of the Connect protocol

Connect-Timeout-Msheader
number

Define the timeout, in ms

Request Body

application/json
object

Request for SearchStocks RPC, specifying the search query.

includeDetailsboolean

Whether to include detailed stock information (proto bool)

limitinteger <int32>

Maximum number of results to return (default: 50) (proto int32)

querystring

Search query (symbol or company name) (proto string)

Responses

200Success
application/json
object

Response for SearchStocks RPC, containing matching stocks.

countinteger <int32>

Number of results returned (proto int32)

querystring

The search query used (proto string)

stocksarray

Matching stocks (proto stocks.v1alpha1.Stock)

Array Items:
defaultError
application/json
object

Error type returned by Connect: https://connectrpc.com/docs/go/errors/#http-representation

codestring [canceled, unknown, invalid_argument, deadline_exceeded, not_found, already_exists, permission_denied, resource_exhausted, failed_precondition, aborted, out_of_range, unimplemented, internal, unavailable, data_loss, unauthenticated]

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

detailsarray

A list of messages that carry the error details. There is no limit on the number of messages.

Array Items:
messagestring

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.SearchService/SearchStocks" \
  -H "Content-Type: application/json" \
  -d '{
  "includeDetails": true,
  "limit": 0,
  "query": "string"
}'